<?php

class m120504_095056_tbl_candidatos_documentos extends CDbMigration
{
	public function up()
	{
            $this->createTable('tbl_candidatos_documentos', array(
                'id' => 'pk',            
                'candidato_id' => 'integer NOT NULL',
                'fecha' => 'datetime',
                'tipo' => 'string',
                'nombre_fichero' => 'string',
            ));
            $this->addForeignKey('fk_candidatos_documentos_1', 'tbl_candidatos_documentos', 'candidato_id', 'tbl_candidatos', 'id', 'CASCADE', 'CASCADE');
	}

	public function down()
	{   
                $this->dropForeignKey('fk_candidatos_documentos_1', 'tbl_candidatos_documentos');
		$this->dropTable('tbl_candidatos_documentos');
	}

	/*
	// Use safeUp/safeDown to do migration with transaction
	public function safeUp()
	{
	}

	public function safeDown()
	{
	}
	*/
}